// creator  : weidu.exe (version 23100)
// argument : _TARNES.DLG
// game		 : .
// source	 : ./override/_TARNES.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_TARNES~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #78307 /* ~Hi friend.  I've not seen you here before today.  What brings you to the Friendly Arm?~ */
  IF ~~ THEN REPLY #78308 /* ~Nothing much, really.  Just road-worn travelers, looking for a place to rest.~ */ GOTO 1
  IF ~~ THEN REPLY #78309 /* ~I am here to meet some friends.~ */ GOTO 5
  IF ~~ THEN REPLY #78310 /* ~I'm not your friend and my business is my own.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #78311 /* ~I see, I see.  Pardon my being too forward, but you've the bearing of someone I've been looking for.  About your height, they were.  Same style of dress, or thereabouts.  I daresay, you seem to be the spitting image of them.  Might you have traveled from Candlekeep, by any chance?~ */
  IF ~~ THEN REPLY #78312 /* ~Actually yes!  I was there until quite recently.~ */ GOTO 2
  IF ~~ THEN REPLY #78313 /* ~I may have visited there on occasion.  What of it?~ */ GOTO 8
  IF ~~ THEN REPLY #78314 /* ~Candlekeep?  Never heard of it.~ */ GOTO 4
  IF ~Global("X#AjantisTarnesh","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTarnesh","GLOBAL",1)~ EXTERN ~_AJANTJ~ 47
END

IF ~~ THEN BEGIN 2 // from: 9.0 1.0
  SAY #78315 /* ~Well that just about clinches it then.  By any wild stretch of the imagination would your name happen to be <CHARNAME>?~ */
  IF ~~ THEN REPLY #78316 /* ~Why yes, good sir, that is my name.  It would seem that I am the one you have been looking for.~ */ GOTO 3
  IF ~~ THEN REPLY #78317 /* ~Never heard that name before in my life.  Sorry.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #78318 /* ~Yes, yes it would.  In that case, don't move.  I have something for you.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #78319 /* ~I was at the Friendly Arm Inn and someone tried to kill me!  He was apparently a bounty hunter!  Why do these attacks continue?~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 9.2 8.1 5.1 2.1 1.2
  SAY #78320 /* ~Really?  I would beg to differ.  You fit the description, so I think it would be safe to assume you are the one I seek.  Don't move.  I have something for you.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #78319 /* ~I was at the Friendly Arm Inn and someone tried to kill me!  He was apparently a bounty hunter!  Why do these attacks continue?~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.1
  SAY #78321 /* ~Oh, you must be whom I am to meet then.  I will take you to your friends, but first I should be sure you are the correct person.  Is your name <CHARNAME>?~ */
  IF ~~ THEN REPLY #78322 /* ~Why, Yes it is.~ */ GOTO 6
  IF ~~ THEN REPLY #78323 /* ~Sorry, but no.  I don't think you're the person I'm supposed to meet.~ */ GOTO 4
END

IF ~~ THEN BEGIN 6 // from: 8.0 5.0
  SAY #78324 /* ~Perfect.  You are indeed the person I seek.  Hold still a moment, won't you?~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #78319 /* ~I was at the Friendly Arm Inn and someone tried to kill me!  He was apparently a bounty hunter!  Why do these attacks continue?~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.2
  SAY #78325 /* ~How rude.  No really, that is utterly rude of you.  I'd teach you a lesson about manners, but that implies that you are going to live.  If I weren't going to anyway, I'd kill you just for being so uppity.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #78319 /* ~I was at the Friendly Arm Inn and someone tried to kill me!  He was apparently a bounty hunter!  Why do these attacks continue?~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 9.1 1.1
  SAY #78326 /* ~Oh, nothing really.  I'm just looking for someone from that region.  Would your name be <CHARNAME> by any chance?~ */
  IF ~~ THEN REPLY #78322 /* ~Why, Yes it is.~ */ GOTO 6
  IF ~~ THEN REPLY #78317 /* ~Never heard that name before in my life.  Sorry.~ */ GOTO 4
END

IF ~~ THEN BEGIN 9 // from:
  SAY #99434 /* ~Forgive me, then. I am looking for someone.~ */
  IF ~~ THEN REPLY #78312 /* ~Actually yes!  I was there until quite recently.~ */ GOTO 2
  IF ~~ THEN REPLY #78313 /* ~I may have visited there on occasion.  What of it?~ */ GOTO 8
  IF ~~ THEN REPLY #78314 /* ~Candlekeep?  Never heard of it.~ */ GOTO 4
END
